Bug 9149 - included auctex package missing file
included auctex package missing file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Powertools
Classification: Retired
Component: xemacs (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-05 15:15 EST by Matthew Saltzman
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-14 09:34:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2000-02-05 15:15:29 EST
The auctex package that is included with the xemacs RPM is missing the
file /usr/lib/xemacs/xemacs-packages/tex-site.el.  This package is
part of the auctex distribution and is required in order to properly
load and run auctex.  It also needs to be customized to point to
the auctex installation in /usr/lib/xemacs/xemacs-packages/auctex
and the tex installation (/usr/lib/texmf/texmf/tex if the tetex RPMs
are used).

To test, include the line

	(require 'tex-site)

in ~/.emacs and start xemacs on a file with extension .tex.
Comment 1 Ngo Than 2000-02-08 11:03:59 EST
you must install the package xemacs-el.
the file /usr/lib/xemacs/xemacs-packages/tex-site.el is in
this package.
Comment 2 Matthew Saltzman 2000-02-08 11:43:59 EST
This is a bad idea.  The description of xemacs-el reads

> Xemacs-el is not necessary to run XEmacs.  You'll only need to install
> it if you're planning on incorporating some Lisp programming into your
> XEmacs experience.

tex-site.el *is* required to run XEmacs's auctex package, so the XEmacs
package is not fully functional out of the box.  I have no intention of
doing Lisp programming, and I don't think I should need the whole
xemacs-el package (33 Meg!) just to make xemacs fully functional.
tex-site.el *should* be included in the base xemacs package.
Comment 3 Ngo Than 2000-02-14 09:34:59 EST
i have remove tex-site.el from package xemacs-el.
tex-site.el is now in package tex-site.el
Comment 4 Matthew Saltzman 2000-02-14 11:38:59 EST
I'm sorry, but I honestly don't understand the objection to adding a
properly-configured tex-site.el to the base xemacs package.  Auctex is
part of the base xemacs package.  tex-site.el is *required* for a
properly-functioning auctex.  tex-site.el should be part of the base
xemacs package.  (Alternatively, break auctex out of the base xemacs
package completely and create an xemacs-auctex RPM.  Include tex-site.el
there, of course.)

If you *must* have this one file in a separate package, at least call the
package xemacs-tex-site.el so it won't be confused with part of the
auctex contrib package for GNU emacs, and make sure that it and xemacs
depend on each other.  After all, there is no sense in installing
xemacs-tex-site.el without xemacs, and the xemacs package is *not
fully functional* without xemacs-tex-site.el!

Thank you.

Note You need to log in before you can comment on or make changes to this bug.